MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028072Open CASCADE[OCCT] OCCT:Samplespublic2016-11-08 14:142016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028072: Samples - remove deprecated vector export from MFC sample
DescriptionVector export through gl2ps is deprecated in OCCT and does not work by default - therefore it is better removing related code from MFC sample.
Steps To Reproduce- Start Import/Export MFC sample.
- Import any shape.
- Export to Image file.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027715closedbugmaster Visualization - turn off deprecated OpenGL fixed-function pipeline by default 
child of 0027763closedbugmaster Visualization - remove V3d_View::Print() method 

-  Notes
(0060011)
git (administrator)
2016-11-08 14:16

Branch CR28072 has been created by kgv.

SHA-1: e69a63e1265392cca125cc200c877a275648ff99


Detailed log of new commits:

Author: kgv
Date: Tue Nov 8 12:30:31 2016 +0300

    0028072: Samples - remove deprecated vector export from MFC sample
(0060012)
kgv (developer)
2016-11-08 14:17
edited on: 2016-11-08 14:17

Please take the patch, complete regression testing is not needed.

(0060088)
apv (tester)
2016-11-09 11:59

Tested in scope of CR0-IR-2016-11-08
(0061277)
git (administrator)
2016-12-07 11:31

Branch CR28072 has been deleted by kgv.

SHA-1: e69a63e1265392cca125cc200c877a275648ff99

- Related Changesets
occt: master 2a8d1e7b
Timestamp: 2016-11-08 09:30:31
Author: kgv
Committer: apn
Details ] Diff ]
0028072: Samples - remove deprecated vector export from MFC sample
mod - samples/mfc/standard/Common/OCC_BaseDoc.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-08 14:14 kgv New Issue
2016-11-08 14:14 kgv Assigned To => bugmaster
2016-11-08 14:16 git Note Added: 0060011
2016-11-08 14:17 kgv Note Added: 0060012
2016-11-08 14:17 kgv Status new => resolved
2016-11-08 14:17 kgv Status resolved => reviewed
2016-11-08 14:17 kgv Note Edited: 0060012 View Revisions
2016-11-08 14:19 kgv Relationship added child of 0027715
2016-11-08 14:19 kgv Relationship added child of 0027763
2016-11-09 11:59 apv Test case number => Not needed
2016-11-09 11:59 apv Note Added: 0060088
2016-11-09 11:59 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master 2a8d1e7b
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061277
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker